{% extends 'base.html.twig' %}

{% block title %}New User{% endblock %}

{% block body %}
    <div class="card">
        <div class="card-header">
            <h1 class="card-title">Modifier mon mot de passe</h1>
        </div>
        <div class="card-body">
            {% for message in app.flashes('success') %}
                <div class="row">
                    <div class="col-md-12">
                        <div class="alert alert-success">
                            <strong class="alert-heading"><i class="fa fa-check"></i> Succès !</strong> {{ message }}
                        </div>
                    </div>
                </div>
            {% endfor %}
            {{ form_start(form) }}
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        {{ form_label(form.password, 'Ancien mot de passe') }}
                        {{ form_widget(form.password, {attr: {class: 'form-control'}}) }}
                        {{ form_errors(form.password) }}
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        {{ form_label(form.plainPassword.first, 'Nouveau mot de passe') }}
                        {{ form_widget(form.plainPassword.first, {attr: {class: 'form-control'}}) }}
                        {{ form_errors(form.plainPassword.first) }}
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        {{ form_label(form.plainPassword.second, 'Confirmer le nouveau mot de passe') }}
                        {{ form_widget(form.plainPassword.second, {attr: {class: 'form-control'}}) }}
                        {{ form_errors(form.plainPassword.second) }}
                    </div>
                </div>
            </div>
            <button class="btn btn-primary">{{ button_label|default('Enregistrer') }}</button>
            {{ form_end(form) }}
        </div>
    </div>
{% endblock %}
